Bug 134879 - emulators/open-vm-tools: Fix build on -CURRENT after recent VFS layer changes.
emulators/open-vm-tools: Fix build on -CURRENT after recent VFS layer changes.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: mbr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-23 19:50 UTC by tmclaugh
Modified: 2009-06-09 00:30 UTC (History)
1 user (show)

See Also:


Attachments
open-vm-tools.diff (7.23 KB, patch)
2009-05-23 19:50 UTC, tmclaugh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tmclaugh freebsd_committer 2009-05-23 19:50:01 UTC
Port fails to build on -CURRENT after revision 191990 [1] due to
changes in the OS vfs layer.

[1] http://svn.freebsd.org/viewvc/base?view=revision&revision=191990

How-To-Repeat: Build port on -CURRENT after revision 191990.
Comment 1 Edwin Groothuis freebsd_committer 2009-05-23 19:50:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mbr

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2009-06-09 00:24:54 UTC
mbr         2009-06-08 23:24:44 UTC

  FreeBSD ports repository

  Modified files:
    emulators/open-vm-tools Makefile distinfo pkg-plist 
    emulators/open-vm-tools/files patch-freebsd-8 
                                  patch-services-Makefile 
                                  vmware-guestd.sh.in 
  Log:
  Upgrade open-vm-tools to build 167859 from 2009.05.22
  Add vfs layer fixes for recent FreeBSD CURRENT
  Vmtools-guestd has been replaced by vmtoolsd
  
  PR:             ports/134879
  Submitted by:   Tom McLaughlin <tmclaugh@freebsd.org>
  
  Revision  Changes    Path
  1.30      +2 -3      ports/emulators/open-vm-tools/Makefile
  1.7       +3 -3      ports/emulators/open-vm-tools/distinfo
  1.3       +242 -14   ports/emulators/open-vm-tools/files/patch-freebsd-8
  1.2       +2 -2      ports/emulators/open-vm-tools/files/patch-services-Makefile
  1.5       +3 -3      ports/emulators/open-vm-tools/files/vmware-guestd.sh.in
  1.19      +4 -2      ports/emulators/open-vm-tools/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 mbr freebsd_committer 2009-06-09 00:25:39 UTC
State Changed
From-To: open->closed

Committed, thanks